/*-------------------------------------------------------------------*/
/*  FrvCopy.h by B.Mours LAPP (Annecy)         Jun  6, 2012          */
/*-------------------------------------------------------------------*/

#ifndef FRVCOPY
#define FRVCOPY

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE
#endif

#include "FrameL.h"

#ifdef __cplusplus
extern "C" {
#endif

FrVect *FrvClone(FrVect *vect1, char* newName);

#define FrvDecimate FrVectDecimate
#define FrvCopyTo   FrVectCopyTo 
#define FrvCopyToD  FrVectCopyToD
#define FrvCopyToF  FrVectCopyToF
#define FrvCopyToI  FrVectCopyToI
#define FrvCopyToS  FrVectCopyToS

#define FrvDecimate FrVectDecimate

FrVect *FrvDecimateD(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateF(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateI(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateS(FrVect *vIn, int nGroup, char *newName);

#ifdef __cplusplus
}
#endif

#endif
